# Vaults

Pacifica's user-facing docs call these managed pools **vaults**, while the REST API namespace currently uses `/api/v1/lake/*`.

## Endpoints

* [Create vault](/docs/api-documentation/api/rest-api/vaults/create-vault.md)
* [Claim vault referral code](/docs/api-documentation/api/rest-api/vaults/claim-vault-referral-code.md)
* [Deposit to vault](/docs/api-documentation/api/rest-api/vaults/deposit-to-vault.md)
* [Claim vault manager](/docs/api-documentation/api/rest-api/vaults/claim-vault-manager.md)
* [Withdraw from vault](/docs/api-documentation/api/rest-api/vaults/withdraw-from-vault.md)
* [Update vault deposit cap](/docs/api-documentation/api/rest-api/vaults/update-vault-deposit-cap.md)
* [Add vault whitelist](/docs/api-documentation/api/rest-api/vaults/add-vault-whitelist.md)
* [Remove vault whitelist](/docs/api-documentation/api/rest-api/vaults/remove-vault-whitelist.md)
* [Add vault blacklist](/docs/api-documentation/api/rest-api/vaults/add-vault-blacklist.md)
* [Remove vault blacklist](/docs/api-documentation/api/rest-api/vaults/remove-vault-blacklist.md)
* [Add vault max leverage](/docs/api-documentation/api/rest-api/vaults/add-vault-max-leverage.md)
* [Remove vault max leverage](/docs/api-documentation/api/rest-api/vaults/remove-vault-max-leverage.md)
* [List vaults](/docs/api-documentation/api/rest-api/vaults/list-vaults.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/vaults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
